nxt.http.callers

## Class DgsPurchaseCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<DgsPurchaseCall>
    - - nxt.http.callers.DgsPurchaseCall

-     public class DgsPurchaseCall
      extends CreateTransactionCallBuilder<DgsPurchaseCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DgsPurchaseCall` | `create(int chain)`
    `DgsPurchaseCall` | `deliveryDeadlineTimestamp(java.lang.String deliveryDeadlineTimestamp)`
    `DgsPurchaseCall` | `goods(long goods)`
    `DgsPurchaseCall` | `goods(java.lang.String goods)`
    `DgsPurchaseCall` | `priceNQT(long priceNQT)`
    `DgsPurchaseCall` | `quantity(java.lang.String quantity)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, minBundlerBalanceFXT, minBundlerFeeLimitFQT, phased, phasingExpression, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedTransaction, phasingMinBalance, phasingMinBalanceModel, phasingParams, phasingQuorum, phasingRecipientPropertyName, phasingRecipientPropertySetter, phasingRecipientPropertyValue, phasingSenderPropertyName, phasingSenderPropertySetter, phasingSenderPropertyValue, phasingSubPolls, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransaction, timestamp, voucher`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static DgsPurchaseCall create(int chain)

    - #### priceNQT

          public DgsPurchaseCall priceNQT(long priceNQT)

    - #### quantity

          public DgsPurchaseCall quantity(java.lang.String quantity)

    - #### deliveryDeadlineTimestamp

          public DgsPurchaseCall deliveryDeadlineTimestamp(java.lang.String deliveryDeadlineTimestamp)

    - #### goods

          public DgsPurchaseCall goods(java.lang.String goods)

    - #### goods

          public DgsPurchaseCall goods(long goods)